diff options
author | Joas Schilling <coding@schilljs.com> | 2018-01-24 17:23:59 +0100 |
---|---|---|
committer | Joas Schilling <coding@schilljs.com> | 2018-01-24 17:23:59 +0100 |
commit | c3424df1f026854ed8adbfdf8d96da7a6562a8dd (patch) | |
tree | 3147bb402fe417804aac8c278e43d60a5d806f85 /autotest.sh | |
parent | 5520ba3d15b088e9151ffef89f7cd389c470563b (diff) | |
download | nextcloud-server-c3424df1f026854ed8adbfdf8d96da7a6562a8dd.tar.gz nextcloud-server-c3424df1f026854ed8adbfdf8d96da7a6562a8dd.zip |
Require PHPUnit 6.5 or higher
Signed-off-by: Joas Schilling <coding@schilljs.com>
Diffstat (limited to 'autotest.sh')
-rwxr-xr-x | autotest.sh | 6 |
1 files changed, 3 insertions, 3 deletions
diff --git a/autotest.sh b/autotest.sh index da9661f067b..7a91b077193 100755 --- a/autotest.sh +++ b/autotest.sh @@ -53,7 +53,7 @@ else fi if ! [ -x "$PHPUNIT" ]; then - echo "phpunit executable not found, please install phpunit version >= 4.8" >&2 + echo "phpunit executable not found, please install phpunit version >= 6.5" >&2 exit 3 fi @@ -68,8 +68,8 @@ PHPUNIT_VERSION=$($PHPUNIT --version | cut -d" " -f2) PHPUNIT_MAJOR_VERSION=$(echo "$PHPUNIT_VERSION" | cut -d"." -f1) PHPUNIT_MINOR_VERSION=$(echo "$PHPUNIT_VERSION" | cut -d"." -f2) -if ! [ "$PHPUNIT_MAJOR_VERSION" -gt 4 -o \( "$PHPUNIT_MAJOR_VERSION" -eq 4 -a "$PHPUNIT_MINOR_VERSION" -ge 8 \) ]; then - echo "phpunit version >= 4.8 required. Version found: $PHPUNIT_VERSION" >&2 +if ! [ "$PHPUNIT_MAJOR_VERSION" -gt 6 -o \( "$PHPUNIT_MAJOR_VERSION" -eq 6 -a "$PHPUNIT_MINOR_VERSION" -ge 5 \) ]; then + echo "phpunit version >= 6.5 required. Version found: $PHPUNIT_VERSION" >&2 exit 4 fi |